#ifndef GLTEST_IGLOBJECT_H
#define GLTEST_IGLOBJECT_H

#include <glm/glm.hpp>

struct IGLObject {
	virtual void create() = 0;
	virtual void rotate(glm::vec3 angles) = 0;
	virtual void scale(glm::vec3 scaleFactor) = 0;
	virtual void translate(glm::vec3 point) = 0;
	virtual void draw() = 0;
	virtual void update() = 0;
};

#endif //GLTEST_IGLOBJECT_H
